%{
/*
// THIS FILE IS COPYRIGHT 1994 BY TELENOR RESEARCH, NORWAY
//
//                    ALL RIGHTS RESERVED.
//
// For rights granted to the public see the COPYRIGHT file
*/

/* Programming : Jon Stephenson von Tetzchner */
%}
/* Standard font characters */
numericspace		"\\x10 "
nonbreakingspace	"\\x11 "
thinspace		"\\x12 "
enspace			"\\x13 "
emspace			"\\x14 "
nonbreakinghyphen	"\\x15 "
bullet    "\\xa5 "
accentaigu     "\\xab "
accentgrave    "\\Q"
quote	  "\\q"
plusminus "\\xb1 "
pgf       "\\xa4 "
pound     "\\xpo "
AElig     "\\xae "
Aring     "\\x81 " 
Auml      "\\x80 "
Ccedil    "\\x82 "
 /* ETH */
Eacute    "\\x83 "
Ntilde    "\\x84 "
Oslash    "\\xaf " 
Ouml      "\\x85 "
 /* THORN */
Uuml      "\\x86 "
 /* Yacute */
aacute    "\\x87 "
acirc     "\\x89 "
aelig     "\\xbe "
agrave    "\\x88 "
aring     "\\x8c "
atilde    "\\x8b "
auml      "\\x8a "
ccedil    "\\x8d "
eacute    "\\x8e "
ecirc     "\\x90 "
egrave    "\\x8f "
 /* eth */
euml      "\\x91 "
iacute    "\\x92 "
icirc     "\\x94 "
igrave    "\\x93 "
iuml      "\\x95 "
ntilde    "\\x96 "
oacute    "\\x97 "
ocirc     "\\x99 "
ograve    "\\x98 "
otilde    "\\x9b "
ouml      "\\x9a "
szlig     "\\xa7 "
 /* thorn */
uacute    "\\x9c "
ucirc     "\\x9e "
ugrave    "\\x9d "
uuml      "\\x9f "
 /* yacute */    
 /* yuml */





yen		"\\xb4 "
ordfeminine	"\\xbb "
ordmasculine	"\\xbc "
ae		"\\xbe "
oslash		"\\xbf "

questiondown	"\\xc0 "
exclamdown	"\\xc1 "
logicalnot	"\\xc2 "

florin		"\\xc4 "

guillemotleft	"\\xc7 "
guillemotright	"\\xc8 "
ellipsis	"\\xc9 "

Agrave		"\\xcb "
Atilde		"\\xcc "
Otilde		"\\xcd "
OE		"\\xce "
oe		"\\xcf "

endash	  "\\xd0 "
emdash	  "\\xd1 "
quotedblleft	"\\xd2 "
quotedblright	"\\xd3 "
quoteleft	"\\xd4 "
quoteright	"\\xd5 "
ydieresis	"\\xd8 "
Ydieresis	"\\xd9 "
fraction	"\\xda "
currency	"\\xdb "
guilsinglleft	"\\xdc "
guilsinglright	"\\xdd "
fi	"\\xde "
fl	"\\xdf "

daggerdbl	"\\xe0 "
periodcentered 	"\\xe1 "
quotesinglbase	"\\xe2 "
quotedblbase	"\\xe3 "
perthousand	"\\xe4 "
Acirc     "\\xe5 "
Ecirc     "\\xe6 "
Aacute    "\\xe7 "
Euml      "\\xe8 "
Egrave    "\\xe9 "
Iacute    "\\xea "
Icirc     "\\xeb "
Iuml      "\\xec "
Igrave    "\\xed "
Oacute    "\\xee "
Ocirc     "\\xef "

Ograve    "\\xf1 "
Uacute    "\\xf2 "
Ucirc     "\\xf3 "
Ugrave    "\\xf4 "
dotlessi  "\\xf5 "
circumflex	"\\xf6 "
tilde	  "\\xf7 "
macron	  "\\xf8 "
breve	  "\\xf9 "
dotaccent	"\\xfa "
ring      "\\xfb "
cedilla	  "\\xfc "
hungarumlaut	"\\xfd "
ogonek	  "\\xfe "

/* Symbol characters */
universal	"\\x22\\"
eksistensiell	"\\x24\\"
slikat	    	"\\x27\\"
kongruent	"\\x40\\"
CHI		"\\x43\\"
DELTA		"\\x44\\"
PHI		"\\x46\\"
GAMMA		"\\x47\\"
theta1		"\\x4a\\"
LAMBDA		"\\x4c\\"
PI		"\\x50\\"
THETA		"\\x51\\"
RHO		"\\x52\\"
SIGMA		"\\x53\\"
YPSILON		"\\x55\\"
sigma1		"\\x56\\"
OMEGA		"\\x57\\"
KSI		"\\x58\\"
PSI		"\\x59\\"
ergo		"\\x5c\\"
perpendikulaer	"\\x5e\\"
roteks		"\\x60\\"
alfa		"\\x61\\"
beta		"\\x62\\"
chi		"\\x63\\"
delta		"\\x64\\"
epsilon		"\\x65\\"
phi		"\\x66\\"
gamma		"\\x67\\"
eta		"\\x68\\"
iota		"\\x69\\"
phi1		"\\x6a\\"
kappa		"\\x6b\\"
lambda		"\\x6c\\"
my		"\\x6d\\"
ny		"\\x6e\\"
pi		"\\x70\\"
theta		"\\x71\\"
rho		"\\x72\\"
sigma		"\\x73\\"
tau		"\\x74\\"
ypsilon		"\\x75\\"
omega1		"\\x76\\"
omega		"\\x77\\"
ksi		"\\x78\\"
psi		"\\x79\\"
zeta		"\\x7a\\"
rest            "\\x"[0-7][0-9a-f]"\\"
YPSILON1	"\\xa1\\"
minutt		"\\xa2\\"
mindrelik	"\\xa3\\"
broek		"\\xa4\\"
uendelig	"\\xa5\\"
florin2		"\\xa6\\"
kloever		"\\xa7\\"
ruter		"\\xa8\\"
hjerter		"\\xa9\\"
spar		"\\xaa\\"
pilbegge	"\\xab\\"
pilvenstre	"\\xac\\"
pilopp		"\\xad\\"
pilhoeyre	"\\xae\\"
pilned		"\\xaf\\"
grad		"\\xb0\\"
plusminus1	"\\xb1\\"
sekund		"\\xb2\\"
stoerrelik	"\\xb3\\"
gange		"\\xb4\\"
proporsjonal	"\\xb5\\"
partielldiff	"\\xb6\\"
bullet1		"\\xb7\\"
dividere	"\\xb8\\"
ikkelik		"\\xb9\\"
ekvivalens	"\\xba\\"
tilnaermlik	"\\xbb\\"
ellipse		"\\xbc\\"
pilvertforl	"\\xbd\\"
pilhorisforl	"\\xbe\\"
carriagereturn	"\\xbf\\"
aleph		"\\xc0\\"	
Ifraktur	"\\xc1\\"
Rfraktur	"\\xc2\\"
weierstrass	"\\xc3\\"
sirkelgange	"\\xc4\\"
sirkelpluss	"\\xc5\\"
emptyset	"\\xc6\\"
intersection	"\\xc7\\"
union		"\\xc8\\"
propersuperset	"\\xc9\\"
reflekssuperset	"\\xca\\"
ikkesubset  	"\\xcb\\"	
propersubset	"\\xcc\\"
reflekssubset	"\\xcd\\"
element		"\\xce\\"
ikkeelement	"\\xcf\\"
vinkel		"\\xd0\\"
gradient	"\\xd1\\"
registerserif	"\\xd2\\"
copyrightserif	"\\xd3\\"
trademarkserif	"\\xd4\\"
produkt		"\\xd5\\"
rot		"\\xd6\\"
prikkmatte	"\\xd7\\"
logicalnot2	"\\xd8\\"
logiskog	"\\xd9\\"
logiskeller	"\\xda\\"
pildblbegge	"\\xdb\\"
pildblvenstre	"\\xdc\\"
pildblopp	"\\xdd\\"
pildblhoeyre	"\\xde\\"
pildblned	"\\xdf\\"
rombe		"\\xe0\\"
vinkelvenstre	"\\xe1\\"
registersans	"\\xe2\\"
copyrightsans	"\\xe3\\"
trademarksans	"\\xe4\\"
summering	"\\xe5\\"
parenvenstretp	"\\xe6\\"
parenvenstreforl	"\\xe7\\"	
parenvenstrebn	"\\xe8\\"
hakevenstretp	"\\xe9\\"
hakevenstreforl	"\\xea\\"
hakevenstrebn	"\\xeb\\"
klammevenstretp	"\\xec\\"
klammevenstremid	"\\xed\\"	
klammevenstrebn	"\\xee\\"
klammeforl	"\\xef\\"
vinkelhoeyre	"\\xf1\\"
integral	"\\xf2\\"
integraltp	"\\xf3\\"
integralforl	"\\xf4\\"
integralbn	"\\xf5\\"
parenhoeyretp	"\\xf6\\"
parenhoeyreforl	"\\xf7\\"	
parenhoeyrebn	"\\xf8\\"
hakehoeyretp	"\\xf9\\"
hakehoeyreforl	"\\xfa\\"
hakehoeyrebn	"\\xfb\\"
klammehoeyretp	"\\xfc\\"
klammehoeyremid	"\\xfd\\"	
klammehoeyrebn	"\\xfe\\"
%%
{numericspace}		printf(" ");
{nonbreakingspace}	printf(" ");
{thinspace}		printf(" ");
{enspace}		printf(" ");
{emspace}		printf(" ");
{nonbreakinghyphen}	printf("-");
{AElig}     printf("&AElig;"); 
{Aring}     printf("&Aring;");
{Auml}      printf("&Auml;"); 
{Ccedil}    printf("&Ccedil;"); 
 /* {ETH}       printf("&ETH;"); */
{Eacute}    printf("&Eacute;"); 
{Ntilde}    printf("&Ntilde;"); 
{Ouml}      printf("&Ouml;"); 
 /* {THORN}     printf("&THORN;"); */
{Uuml}      printf("&Uuml;"); 
 /* {Yacute}    printf("&Yacute;"); */
{aacute}    printf("&aacute;"); 
{acirc}     printf("&acirc;"); 
{aelig}     printf("&aelig;");
{agrave}    printf("&agrave;"); 
{aring}     printf("&aring;");
{atilde}    printf("&atilde;"); 
{auml}      printf("&auml;"); 
{ccedil}    printf("&ccedil;"); 
{eacute}    printf("&eacute;"); 
{ecirc}     printf("&ecirc;"); 
{egrave}    printf("&egrave;"); 
 /* {eth}       printf("&eth;"); */
{euml}      printf("&euml;"); 
{iacute}    printf("&iacute;"); 
{icirc}     printf("&icirc;"); 
{igrave}    printf("&igrave;"); 
{iuml}      printf("&iuml;"); 
{ntilde}    printf("&ntilde;"); 
{oacute}    printf("&oacute;"); 
{ocirc}     printf("&ocirc;"); 
{ograve}    printf("&ograve;"); 

{otilde}    printf("&otilde;"); 
{ouml}      printf("&ouml;");
{szlig}     printf("&szlig;"); 
 /* {thorn}     printf("&thorn;"); */
{uacute}    printf("&uacute;"); 
{ucirc}     printf("&ucirc;"); 
{uuml}      printf("&uuml;"); 
 /* {yacute}    printf("&yacute;"); */
 /* {yuml}      printf("&yuml;"); */
{accentaigu}   printf("'");
{quote}   printf("'");
{accentgrave}   printf("`");
{bullet}  putchar(183);
{agrave}  printf("&agrave;");
{plusminus} putchar(177);
{pgf}     putchar(167);
{pound}   putchar(163);
{universal}	printf("&forall;");	
{eksistensiell}	printf("&eksist;");	
{slikat}	printf("&ni;");    	
{kongruent}	printf("&cong;");
{CHI}		putchar(215);
{DELTA}		printf("&Delta;");
{PHI}		printf("&PHgr;");
{GAMMA}		printf("&Gamma;");
{theta1}	printf("&thetav;");	
{LAMBDA}	printf("&Lambda;");
{PI}		printf("&Pi;");
{THETA}		printf("&Theta;");
{SIGMA}		printf("&Sigma;");
{RHO}		printf("&Rho;");
{YPSILON}	printf("&Upsi;");
{sigma1}	printf("&sfgr;");	
{OMEGA}		printf("&Omega;");
{KSI}		printf("&Xi;");
{PSI}		printf("&Psi;");
{ergo}		printf("&there4;");
{perpendikulaer}	printf("&perp;");
{roteks}	printf("&radicalex;");	
{alfa}		printf("&alpha;");
{beta}		putchar(223);
{chi}		printf("&chi;");
{delta}		printf("&delta;");
{epsilon}	printf("&epsi;");
{phi}		printf("&phis;");
{gamma}		printf("&gamma;");
{eta}		printf("&eta;");
{iota}		printf("&iota;");
{phi1}		printf("&phiv;");
{kappa}		printf("&kappa;");
{lambda}	printf("&lambda;");
{my}		putchar(181);
{ny}		printf("&nu;");
{pi}		putchar(182);
{theta}		printf("&thetas;");
{rho}		printf("&rho;");
{sigma}		printf("&sigma;");
{tau}		printf("&tau;");
{ypsilon}	printf("&upsi;");
{omega1}	printf("&piv;");	
{omega}		printf("&omega;");
{ksi}		printf("&xi;");
{psi}		printf("&psi;");
{zeta}		printf("&zeta;");
{rest} 		printf("%c", (char) strtol(&yytext[2], NULL, 16));
{YPSILON1}	printf("&Upsilon1;");
{minutt}	putchar(180);
{mindrelik}	printf("<=");
{broek}		printf("/");
{uendelig}	printf("&infin;");
{kloever}	printf("&clubs;");
{ruter}		printf("&diams;");
{hjerter}	printf("&hearts;");
{spar}		printf("&spades;");
{pilbegge}	printf("&harr;");
{pilvenstre}	printf("&larr;");
{pilopp}	printf("&uarr;");
{pilhoeyre}	printf("&rarr;");
{pilned}	printf("&darr;");
{grad}		putchar(176);
{plusminus1}	putchar(177);
{sekund}	printf("\"");
{stoerrelik}	printf(">=");
{gange}		putchar(215);
{proporsjonal}	printf("&prop;");
{partielldiff}	printf("&part;");
{bullet1}	putchar(183);
{dividere}	putchar(247);
{ikkelik}	printf("<>");
{ekvivalens}	printf("&equiv;");
{tilnaermlik}	printf("&ap;");
{pilvertforl}	putchar(124);
{pilhorisforl}	printf("_");
{carriagereturn}	printf("&carriagereturn;");
{aleph}		printf("&aleph;");	
{Ifraktur}	printf("&image;");
{Rfraktur}	printf("&real;");
{weierstrass}	printf("&weierp;");
{sirkelgange}	printf("&otimes;");
{sirkelpluss}	printf("&oplus;");	
{emptyset}	printf("&empty;");
{intersection}	printf("&cap;");				
{union}		printf("&cup;");
{propersuperset}	printf("&sup;");
{reflekssuperset}	printf("&supe;");
{ikkesubset}  	printf("&nsub");
{propersubset}	printf("&sub;");
{reflekssubset}	printf("&sube;");
{element}	printf("&isin;");
{ikkeelement}	printf("&notin;");
{vinkel}	putchar(60);
{gradient}	printf("&ang;");
{registerserif}	putchar(174);
{copyrightserif}	putchar(169);
{trademarkserif}	printf("&trade;");
{produkt}	printf("&prod;");
{rot}		printf("&radic;");
{prikkmatte}	printf("&sdot;");
{logiskog}	putchar(38);
{logiskeller}	putchar(124);
{pildblbegge}	printf("&hArr;");
{pildblvenstre}	printf("&lArr;");
{pildblopp}	printf("&uArr;");
{pildblhoeyre}	printf("&rArr;");
{pildblned}	printf("&dArr;");
{rombe}		printf("&loz;");
{vinkelvenstre}	putchar(60);
{registersans}	putchar(174);
{copyrightsans}	putchar(169);
{trademarksans}	printf("&trade;");
{summering}	printf("&sum;");
{parenvenstretp}	printf("(");
{parenvenstreforl}	printf("|");
{parenvenstrebn}	printf("(");
{hakevenstretp}	printf("&lceil;");
{hakevenstreforl}	printf("|");
{hakevenstrebn}	printf("&lfloor;");
{klammevenstretp}	printf("{");
{klammevenstremid}	printf("{");
{klammevenstrebn}	printf("{");
{klammeforl}		putchar(124);
{vinkelhoeyre}	printf("&rang;");
{integral}	printf("&int;");
{integraltp}	fprintf(stderr, "\n Big integral characters not handled.\n");
{integralforl}	fprintf(stderr, "\n Big integral characters not handled.\n");
{integralbn}	fprintf(stderr, "\n Big integral characters not handled.\n");
{parenhoeyretp}	printf(")");
{parenhoeyreforl}	printf("|");
{parenhoeyrebn}	printf(")");
{hakehoeyretp}	printf("&rceil;");
{hakehoeyreforl}	printf("|");
{hakehoeyrebn}	printf("&rfloor;");
{klammehoeyretp}	printf("}");
{klammehoeyremid}	printf("}");
{klammehoeyrebn}	printf("}");
{ugrave}    printf("&ugrave;"); 





{yen}		printf("&yen;");				/* b0 - bf */
{ordfeminine}	printf("&ordf;");
{ordmasculine}	printf("&ordm;");
{ae}		printf("&aelig;");
{oslash}	printf("&oslash;");

{questiondown}	printf("&questiondown;");			/* c0 - cf */
{exclamdown}	printf("&exclamdown;");
{logicalnot}	printf("&not;");	
{florin}	printf("&fnof;");
{guillemotleft}	printf("&laquo;");
{guillemotright}	printf("&raquo;");
{ellipsis}	printf("&hellip;");
{Agrave}	printf("&Agrave;"); 
{Atilde}	printf("&Atilde;"); 
{Otilde}	printf("&Otilde;"); 
{OE}    	printf("&OE;");
{oe}    	printf("&oe;");

{endash}	printf("-");					/* d0 - df */
{emdash}	printf("--");
{quotedblleft}	printf("\"");
{quotedblright} printf("\"");
{quoteleft} 	printf("`");
{quoteright} 	printf("'");
{ydieresis}	printf("&ydieresis;");
{Ydieresis}	printf("&Ydieresis;");
{fraction}	printf("/");
{currency}	printf("&currency;");
{guilsinglleft}	printf("&guilsinglleft;");
{guilsinglright}	printf("&guilsinglright;");
{fi}		printf("fi");
{fl}		printf("fl");

{daggerdbl}	printf("&daggerdbl;");			/* e0 - ef */
{periodcentered}  putchar(183);
{quotesinglbase}	printf("&quotesinglbase;");
{quotedblbase}		printf("&quotedblbase;");
{perthousand}		printf("&perthousand;");
{Acirc}     printf("&Acirc;"); 
{Ecirc}     printf("&Ecirc;"); 
{Aacute}    printf("&Aacute;"); 
{Euml}      printf("&Euml;"); 
{Egrave}    printf("&Egrave;"); 
{Iacute}    printf("&Iacute;"); 
{Icirc}     printf("&Icirc;"); 
{Iuml}      printf("&Iuml;"); 
{Igrave}    printf("&Igrave;"); 
{Oacute}    printf("&Oacute;"); 
{Ocirc}     printf("&Ocirc;"); 

{Ograve}    printf("&Ograve;"); 			/* f0 - ff */
{Uacute}    printf("&Uacute;"); 
{Ucirc}     printf("&Ucirc;"); 
{Ugrave}    printf("&Ugrave;"); 
{dotlessi}  printf("&dotlessi;");
{circumflex}	printf("^");
{tilde}	  	printf("~");
{macron}  	printf("&macron;");
{breve}	  	printf("&breve;");
{dotaccent}	printf("&dotaccent;");
{ring}    	putchar(176);
{cedilla}  	printf("&cedilla;");
{hungarumlaut}	printf("&hungarumlaut;");
{ogonek}  	printf("&ogonek;");
%%


/*************************************************************************
int main () : added by popular demand to get rid of -lfl...
**************************************************************************/

int main( argc, argv )
      int argc;
      char *argv[];
{
    return yylex();
}

#ifndef yywrap		/* Added as it seems it has been moved to the flex */
int yywrap()		/* library on some systems */
{return 1;}
#endif
